// 
// this file, part of libTexFormula, is released under the conditions of the zlib license.
// for details see: http://www.gzip.org/zlib/zlib_license.html
// 
#ifndef LIB_TEX_H
#define LIB_TEX_H

struct Image
{
    int width, height;
    unsigned char *pixmap;
};

#ifdef WIN32
	#define DLLEXPORT __declspec( dllexport )
#else
	#define DLLEXPORT 
#endif

// error codes
#define LIBTEXF_ERROR_NOTEMPDIR -1
#define LIBTEXF_ERROR_GSINIT -2
#define LIBTEXF_ERROR_LATEXRUN -3
#define LIBTEXF_ERROR_GSRUN -4
#define LIBTEXF_ERROR_TEXFILE_OPEN -5
#define LIBTEXF_ERROR_LATEXINIT -6
#define LIBTEXF_ERROR_SYSTEM -7
#define LIBTEXF_ERROR_INSECURE_FORMULA -8

// libTeX functions
int DLLEXPORT initLibTeXFormula();
void DLLEXPORT freeLibTeXFormula();
int DLLEXPORT parseTeXFormula(const char *formula, Image *theImage);
void DLLEXPORT freeTeXFormulaImage(Image *theImage);
void DLLEXPORT setResolutionTeXFormula(int resolution);

#endif
