// 
// this file, part of libTexFormula, is released under the conditions of the zlib license.
// for details see: http://www.gzip.org/zlib/zlib_license.html
// 
#ifndef LIB_TEX_INTERNAL_H
#define LIB_TEX_INTERNAL_H

#include "gdevdsp.h"
#include "iapi.h"
//#include "ierrors.h"

#include <string>

// internal helper functions
int startProcess(const char *CommandLine, const char *workDir = NULL, std::string *stdoutString = NULL, std::string *stderrorString = NULL);
bool LoadGSLibrary();
void FreeGSLibrary();
std::string CreateTempDir();

// ghostscript API functions
extern PFN_gsapi_new_instance			gsapi_new_instance_runtime;
extern PFN_gsapi_delete_instance		gsapi_delete_instance_runtime;
extern PFN_gsapi_set_display_callback	gsapi_set_display_callback_runtime;
extern PFN_gsapi_init_with_args			gsapi_init_with_args_runtime;
extern PFN_gsapi_run_file				gsapi_run_file_runtime;
extern PFN_gsapi_exit					gsapi_exit_runtime;

#endif
